<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__wiced__bt__platform__group" kind="group">
    <compoundname>wiced_bt_platform_group</compoundname>
    <title>Bluetooth Stack Platform Interface</title>
    <innerclass prot="public" refid="structwiced__bt__stack__platform__t">wiced_bt_stack_platform_t</innerclass>
      <sectiondef kind="typedef">
      <memberdef id="group__wiced__bt__platform__group_1gaaee366da383e708d1dea13b16cbba1e5" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* wiced_bt_internal_post_stack_init_cb) (void)</definition>
        <argsstring>)(void)</argsstring>
        <name>wiced_bt_internal_post_stack_init_cb</name>
        <briefdescription>
<para>Function prototype for the post Stack Init Callback. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_stack_platform.h" bodystart="252" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_stack_platform.h" line="252" />
      </memberdef>
      <memberdef id="group__wiced__bt__platform__group_1ga1b2ab26fed7589a50fad5ecc0cc6f1d3" kind="typedef" prot="public" static="no">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref>(*</type>
        <definition>typedef wiced_bool_t(* wiced_bt_internal_stack_evt_handler_cb) (uint8_t *p_event)</definition>
        <argsstring>)(uint8_t *p_event)</argsstring>
        <name>wiced_bt_internal_stack_evt_handler_cb</name>
        <briefdescription>
<para>Function prototype for the HCI event monitor function that the application may suppply. </para>
        </briefdescription>
        <detaileddescription>
<para>The application MUST return TRUE if the it handled the event and does not want the stack to process the event. If the application returns FALSE, the stack will process the event. </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_stack_platform.h" bodystart="260" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_stack_platform.h" line="260" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__wiced__bt__platform__group_1ga91ec048a4f0938e38123ccd86b267b49" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_stack_platform_initialize</definition>
        <argsstring>(wiced_bt_stack_platform_t *platform_interfaces)</argsstring>
        <name>wiced_bt_stack_platform_initialize</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__stack__platform__t">wiced_bt_stack_platform_t</ref> *</type>
          <declname>platform_interfaces</declname>
        </param>
        <briefdescription>
<para>Initialize the platform interfaces, by providing porting functions specific to the underlying platform. </para>
        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para><bold> WICED_BT_SUCCESS </bold> : on success; <linebreak />
 <bold> WICED_BT_ERROR </bold> : if an error occurred </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_stack_platform.h" line="188" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bt__platform__group_1ga98a0933baa000767bc3ad60d0a7890e3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_process_acl_data</definition>
        <argsstring>(uint8_t *pData, uint32_t length)</argsstring>
        <name>wiced_bt_process_acl_data</name>
        <param>
          <type>uint8_t *</type>
          <declname>pData</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>length</declname>
        </param>
        <briefdescription>
<para>Called by the porting layer to process the incoming ACL data received from the remote bluetooth device. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">pData</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to the ACL data to be processed </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">length</parametername>
</parameternamelist>
<parameterdescription>
<para>: Length of the ACL data buffer</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>void </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_stack_platform.h" line="199" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bt__platform__group_1ga4e569527f83bc2d6f443ef3ae0f83ece" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_process_hci_events</definition>
        <argsstring>(uint8_t *pData, uint32_t length)</argsstring>
        <name>wiced_bt_process_hci_events</name>
        <param>
          <type>uint8_t *</type>
          <declname>pData</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>length</declname>
        </param>
        <briefdescription>
<para>Called by the porting layer to process the incoming HCI events from the local bluetooth controller. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">pData</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to the HCI Events to be processed </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">length</parametername>
</parameternamelist>
<parameterdescription>
<para>: Length of the event buffer </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>void </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_stack_platform.h" line="209" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bt__platform__group_1gad0cd082b2d2e5c54b077d3e7aafcbc48" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_process_timer</definition>
        <argsstring>(void)</argsstring>
        <name>wiced_bt_process_timer</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Called by the porting layer on expiry of the timer to process pending timers. </para>
        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>void </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_stack_platform.h" line="216" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bt__platform__group_1gaa98ea87121fed670412f976b3f0b252c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_stack_indicate_lower_tx_complete</definition>
        <argsstring>(void)</argsstring>
        <name>wiced_bt_stack_indicate_lower_tx_complete</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Called by the lower layer transport driver to restart sending ACL data to the controller Note: Porting layer API. </para>
        </briefdescription>
        <detaileddescription>
<para>This API is expected to be invoked by the lower layer transport driver, to restart transfers from the stack to the controller. The lower tx layer is expected to have space for atleast one complete ACL buffer Typically used in cases where the lower Tx has lesser number of buffers than allowed by controller </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_stack_platform.h" line="227" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bt__platform__group_1gade7b4741a97ade2e02e044078bf46bc2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_continue_reset</definition>
        <argsstring>(void)</argsstring>
        <name>wiced_bt_continue_reset</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Called by the porting layer to complete/continue the reset process Typically called after downloading firmware patches to the controller. </para>
        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>void </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_stack_platform.h" line="235" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bt__platform__group_1gaedb4a439d3f91abba89b33c1e0947991" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t wiced_bt_set_stack_config</definition>
        <argsstring>(const wiced_bt_cfg_settings_t *p_bt_new_cfg_settings)</argsstring>
        <name>wiced_bt_set_stack_config</name>
        <param>
          <type>const <ref kindref="compound" refid="structwiced__bt__cfg__settings__t">wiced_bt_cfg_settings_t</ref> *</type>
          <declname>p_bt_new_cfg_settings</declname>
        </param>
        <briefdescription>
<para>Set the stack config. </para>
        </briefdescription>
        <detaileddescription>
<para>Invoked by the porting layer</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_bt_new_cfg_settings</parametername>
</parameternamelist>
<parameterdescription>
<para>: Stack configuration settings</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>0 if there is any error in the configuration otherwise the dynamic memory size requirements of the stack for the configuration. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_stack_platform.h" line="247" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bt__platform__group_1gac40dc0f89a01ca8b864c49a9a740786f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_stack_init_internal</definition>
        <argsstring>(wiced_bt_management_cback_t mgmt_cback, wiced_bt_internal_post_stack_init_cb post_stack_cb, wiced_bt_internal_stack_evt_handler_cb evt_handler_cb)</argsstring>
        <name>wiced_bt_stack_init_internal</name>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1ga86af8a8bb467047c9af6007f15b0d344">wiced_bt_management_cback_t</ref></type>
          <declname>mgmt_cback</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wiced__bt__platform__group_1gaaee366da383e708d1dea13b16cbba1e5">wiced_bt_internal_post_stack_init_cb</ref></type>
          <declname>post_stack_cb</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wiced__bt__platform__group_1ga1b2ab26fed7589a50fad5ecc0cc6f1d3">wiced_bt_internal_stack_evt_handler_cb</ref></type>
          <declname>evt_handler_cb</declname>
        </param>
        <briefdescription>
<para>Internal stack init. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">mgmt_cback</parametername>
</parameternamelist>
<parameterdescription>
<para>: Application BT Management callback </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">post_stack_cb</parametername>
</parameternamelist>
<parameterdescription>
<para>: Internal post stack init callback </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">evt_handler_cb</parametername>
</parameternamelist>
<parameterdescription>
<para>: Internal stack event handler</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Dynamic memory size requirements of the stack for the configuration </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_stack_platform.h" line="272" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__wiced__bt__platform__group_1ga8a424e7de59385dc69b3189987c3fae2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_stack_shutdown</definition>
        <argsstring>(void)</argsstring>
        <name>wiced_bt_stack_shutdown</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>This function blocks until all de-initialisation procedures are complete. </para>
        </briefdescription>
        <detaileddescription>
<para>It is recommended that the application disconnect any outstanding connections prior to invoking this function.</para>
<para><simplesect kind="return"><para>None </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_stack_platform.h" line="282" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Interface between Stack and platform. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>